//--------------------------------------------------------------
// File     : main.c
// Datum    : 22.12.2013
// Version  : 1.0
// Autor    : UB
// EMail    : mc-4u(@)t-online.de
// Web      : www.mikrocontroller-4u.de
// CPU      : STM32F4
// IDE      : CooCox CoIDE 1.7.4
// GCC      : 4.7 2012q4
// Module   : CMSIS_BOOT, M4_CMSIS_CORE
// Funktion : Demo der HC-SR04-Library
// Hinweis  : Diese zwei Files muessen auf 8MHz stehen
//              "cmsis_boot/stm32f4xx.h"
//              "cmsis_boot/system_stm32f4xx.c"
//--------------------------------------------------------------

#include "main.h"
#include "stm32_ub_led.h"
#include "stm32_ub_hcsr04.h"

int main(void)
{
  float abstand;

  SystemInit(); // Quarz Einstellungen aktivieren

  // init der LEDs
  UB_Led_Init();

  // init vom HC-SR04
  UB_HCSR04_Init();

  while(1)
  {
    // Messung vom Abstand
    abstand=UB_HCSR04_Distance_cm();
    if(abstand>0) {
      // LEDs je nach Entfernung schalten
      UB_Led_Off(LED_RED);
      UB_Led_On(LED_ORANGE);
      if(abstand<10.0) UB_Led_On(LED_GREEN); else UB_Led_Off(LED_GREEN);
      if(abstand<15.0) UB_Led_On(LED_BLUE); else UB_Led_Off(LED_BLUE);
    }
    else {
      // auerhalb vom Messbereich
      UB_Led_On(LED_RED);
      UB_Led_Off(LED_GREEN);
      UB_Led_Off(LED_BLUE );
      UB_Led_Off(LED_ORANGE);
    }
  }
}

